Subject: Re: [PATCH 2 1/4] powerpc: drop the ability to tweak SMT mode at boot time

From: Scott Wood <[email-masked]>
Date: Wed, 10 Dec 2014 17:50:37 -0600

On Wed, 2014-12-10 at 13:14 +1100, Michael Ellerman wrote:
> On Tue, 2014-12-09 at 18:14 -0600, Scott Wood wrote:
> > What benefit is there to ignoring "scripture" here?  Going from an easy
> > to use command line option to needing to mess around with the dts file
> > is not a usability improvement.  If you want to make it Freescale-only,
> > fine.  If you want to push me to fix the problems with the
> > implementation, fine.
> 
> It's easy to use but it doesn't necessarily work.
> 
> You said in your other mail to Greg "Sometimes it's useful to ensure that the
> second thread has never run when debugging a problem.".
> 
> But you don't know that, for all you know your firmware has started the thread
> and it's busy looping somewhere. Perhaps you guys know that your firmware
> doesn't do that, but it's still a hack.

I know that our firmware doesn't do that, and I can verify by reading
the relevant register.

> We end up with cpus in the present map, but we have no idea where they are or
> what they are doing.

Can we check smt-enabled a little earlier and refrain from marking the
secondary threads as present if smt is disabled?

> So as far as I'm concerned it's only useful as a debugging hack, and one that
> we don't really use anymore. But if you guys think it's useful then we'll keep
> it.
> 
> I'll work out with Greg what the cleanest solution is.
> 
> It looks like you only need it on e6500? Which is platforms/85xx I think.
> Anywhere else?

Yes, just e6500.

-Scott